# GoogleChartDataTextEncoding Class Reference

Inheritance diagram for GoogleChartDataTextEncoding:
[legend]

List of all members.

## Public Member Functions

| encode (GoogleChartDataSet $set)
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 't:'
| $delimiter = ','

## Detailed Description

Definition at line 15 of file GoogleChartDataTextEncoding.class.php.

## Member Function Documentation

static GoogleChartDataTextEncoding::create | ( |  | ) | `[static]`

Returns:
  GoogleChartDataTextEncoding

Definition at line 25 of file GoogleChartDataTextEncoding.class.php.

Referenced by GooglePieChart::__construct(), and GoogleLineChart::__construct().

GoogleChartDataTextEncoding::encode | ( | GoogleChartDataSet $ | set | ) |

Implements GoogleChartDataEncoding.

Definition at line 30 of file GoogleChartDataTextEncoding.class.php.

References GoogleChartDataSet::getData().

Here is the call graph for this function:

GoogleChartDataTextEncoding::toString | ( |  | ) |

Definition at line 35 of file GoogleChartDataTextEncoding.class.php.

## Member Data Documentation

GoogleChartDataTextEncoding::$delimiter = ','`[protected]`

Definition at line 20 of file GoogleChartDataTextEncoding.class.php.

GoogleChartDataTextEncoding::$name = 't:'`[protected]`

Definition at line 19 of file GoogleChartDataTextEncoding.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartDataTextEncoding.class.php